#!/bin/bash
# script d'installation d'une iso sysrecuecd pour sambaedu-clonage

# téléchargement sysrescuecd : 

# wget https://cloud.sambaedu.org/iso.php?token=$token&iso=sysrecuecd
# pour le moment poser l'iso dans le dossier /var/sambaedu/unattended/install/os/iso

# iso="systemrescue-8.03-amd64.iso"
iso="systemrescue.iso"
#wget -P /var/sambaedu/unattended/install/os/iso/ https://osdn.net/projects/systemrescuecd/storage/releases/6.0.3/$iso
if [ ! -f "/var/sambaedu/unattended/install/os/iso/$iso" ]; then
	# wget -O /var/sambaedu/unattended/install/os/iso/$iso https://sourceforge.net/projects/systemrescuecd/files/sysresccd-x86/8.03/$iso/download/
	wget -O /var/sambaedu/unattended/install/os/iso/$iso https://sourceforge.net/projects/systemrescuecd/files/latest/download/
    #wget -O /var/sambaedu/unattended/install/os/iso/$iso http://beta.system-rescue.org/systemrescue-9.04-beta001-amd64.iso

fi
[ -z "$iso" ] && echo "vous devez donner le nom de du fichier iso dans os/iso" && exit 1
[ -f /mnt/iso ] || mkdir /mnt/iso
mount -o loop  "/var/sambaedu/unattended/install/os/iso/$iso" /mnt/iso
mkdir -p /var/sambaedu/unattended/install/os/sysresccd/
cp  -a /mnt/iso/sysresccd/boot /var/sambaedu/unattended/install/os/sysresccd/
cp  -a /mnt/iso/sysresccd/x86_64 /var/sambaedu/unattended/install/os/sysresccd/
chown -R www-admin /var/sambaedu/unattended/install/os/sysresccd/
umount /mnt/iso
rm -fr /mnt/iso
